#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int brojLjudi;
    double procenat, res = 0.0, suma = 0.0;

    cin >> brojLjudi;

    vector< pair<double, double> > lista(brojLjudi);
    for(int i = 0; i < brojLjudi; i++){
        cin >> lista[i].second >> lista[i].first;
        suma +=  lista[i].second;
    }

    sort(lista.begin(), lista.end());
    for(int i = 0; i < brojLjudi; i++){
        //res = max(res, suma * lista[i].first / 100.0);
        cout << setprecision(16) << (suma / 100.0) * lista[i].first  << endl;
        suma -= lista[i].second;
    }

    cout << res;
    return 0;
}